<div [ngClass]="[jds.card, jds.mb(16)]">
  <div [ngClass]="[jds.cardBody, jds.py(12)]">
    <div
      [ngClass]="[
        'e-walidata-tab-monitor-type',
        jds.d('flex'),
        jds.alignItems('center')
      ]"
      [style.gap.px]="8"
    >
      <button
        [colorScheme]="currentRoute === 'business-field' ? colorScheme : 'gray'"
        [variant]="currentRoute === 'business-field' ? 'solid' : 'outline'"
        (click)="onType('business-field')"
        jdsBiButton
        type="button"
      >
        Ringkasan Urusan
      </button>

      <button
        [colorScheme]="currentRoute === 'indicator' ? colorScheme : 'gray'"
        [variant]="currentRoute === 'indicator' ? 'solid' : 'outline'"
        (click)="onType('indicator')"
        jdsBiButton
        type="button"
      >
        Rincian Uraian
      </button>
    </div>
  </div>
</div>
